(function ($) {
  function c(msg) {
    console.log(msg);
  }

  function cc(msg, msg2) {
    console.log(msg, msg2);
  }

  function clog(msg) {
    if (app.debug) {
      console.log(msg);
    }
  }

  var app = {
    debug: false,
    $popup: undefined,
    MasterPopup: undefined,
    last_action: '',
  };

  //Document Ready
  $(function () {
    $(document).on('masterpopups.AfterClosePopup', '.mpp-popup, .mpp-inline', app.after_close_popup);
    $(document).on('click', '.mpp-popup .mpp-element, .mpp-inline .mpp-element', app.on_click_popup_element);

    $(document).on('click', '.cookieplus-btn-accept-cookies', app.accept_all_cookies);
    $(document).on('click', '.cookieplus-btn-save-settings', app.save_settings_cookies);
    $(document).on('click', '.cookieplus-btn-decline-cookies', app.decline_all_cookies);
    $(document).on('click', '.cookieplus-btn-accept-terms-conditions', app.accept_terms_conditions);
    $(document).on('click', '.cookieplus-btn-accept-privacy-policy', app.accept_privacy_policy);

    $(document).on('click', '.cookieplus-switcher .xbox-sw-inner:not(.xbox-sw-disabled)', app.on_change_cookie_consent);
    //$('.cookieplus-switcher-input').on('statusChange', app.on_change_cookie_consent);

    $('.cookieplus-tabs-cookie-consent').tabster({
      direction: 'vertical',
      equalHeights: false,
      autoplay: false,
      autoplayInterval: 4500,
      responsive: {
        breakpoint: 728,
        headingTagName: "h4"
      },
      updateUrl: false
    });
    $('.cookieplus-switcher-input').xboxSwitcher2({
      on_text: '',
      off_text: '',
      on_value: 'on',
      off_value: 'off',
    });
  });

  CookiePlus.should_display_popup = function (popup_id, options) {
    if (!popup_id || !options) {
      return true;
    }
    var op = options.cookieplus;
    var cookie_value = CookiePlusCookieBlocker.get_cookie_obj();
    if (op && app.cookie.get(CookiePlus.CookieConsent.cookie_name) != null) {
      // if( cookie_value && cookie_value.decline === '1' && ! op.use_has_cookie_settings ){
      //   return CookiePlus.CookieConsent.show_popup_after_decline;
      // }
      // return op.show_popup_after_accept_cookies;

      if( cookie_value && cookie_value.decline === '1' ){
        return op.show_popup_after_decline_cookies;
      }
      return op.show_popup_after_accept_cookies;
    }
    return true;
  };

  app.popup_cookie_consent = function ($target) {
    var $popup = $target.closest('.mpp-wrap').parent();
    if ($popup && $popup.length) {
      app.MasterPopup = $popup.data('MasterPopup');
      return $popup;
    }
    return undefined;
  }

  app.on_change_cookie_consent = function (e) {
    app.$popup = app.popup_cookie_consent($(this));
    var $input = $(this).parent().find('input');
    var $info = $input.closest('.status-cookie-group').find('.cookieplus-switcher-info');
    var group_index = $input.closest('.tabster-panel').data('group');
    if ($input.next('.xbox-sw-inner').hasClass('xbox-sw-on')) {
      $info.removeClass('is-disabled').text(CookiePlusAddonSettings.texts.cookie_active);
      CookiePlus.CookieConsent.groups['group_' + group_index].consent_given = true;
    } else {
      $info.addClass('is-disabled').text(CookiePlusAddonSettings.texts.cookie_inactive);
      CookiePlus.CookieConsent.groups['group_' + group_index].consent_given = false;
    }
    var $btn_save = app.$popup.find('.cookieplus-btn-save-settings');
    $btn_save.addClass('cookieplus-btn-shake');
    setTimeout(function () {
      $btn_save.removeClass('cookieplus-btn-shake');
    }, 800);
  };

  app.after_close_popup = function (event, MasterPopup, $popup, options) {
    app.$popup = $popup;
    app.MasterPopup = MasterPopup;
    if (!options.cookieplus) {
      return;
    }
    var on_close = options.cookieplus.actions.on_close_popup;
    if (on_close != 'none') {
      if (on_close == 'accept-cookies') {
        if (app.last_action != 'decline') {
          app.accept_all_cookies();
        }
      } else if (on_close == 'decline-cookies') {
        if (app.last_action != 'accept_all' && app.last_action != 'save_settings') {
          app.decline_all_cookies();
        }
      }
    }
  };

  app.on_click_popup_element = function (e) {
    var $element = $(this);
    var data = $element.data('cookieplus');
    if (!data) {
      return;
    }
    var on_click = data.actions.on_click;
    if (on_click != 'none') {
      if (on_click == 'accept-cookies') {
        app.accept_all_cookies(e);
      } else if (on_click == 'decline-cookies') {
        app.decline_all_cookies(e);
      }
    }
  };

  app.accept_all_cookies = function (e) {
    clog('CookiePlus: accept_all_cookies');
    if (e) {
      e.preventDefault();
    }
    $.each(CookiePlus.CookieConsent.groups, function (index, group) {
      group.consent_given = true;
    });
    app.save_settings_cookies(e, 'accept_all');
    $(window).trigger('CookiePlus.AcceptCookies', [CookiePlus]);
  };

  app.decline_all_cookies = function (e) {
    clog('CookiePlus: decline_all_cookies');
    if (e) {
      e.preventDefault();
    }
    $.each(CookiePlus.CookieConsent.groups, function (index, group) {
      group.consent_given = false;
    });

    //Remove cookies
    if (CookiePlus.CookieConsent.remove_cookies_after_decline) {
      app.remove_cookies_after_decline();
    }

    //Save settings
    app.save_settings_cookies(e, 'decline');
    $(window).trigger('CookiePlus.DeclineCookies', [CookiePlus]);
  };

  app.remove_cookies_after_decline = function () {
    var cookies = document.cookie.split("; ");
    var Consent = CookiePlus.CookieConsent;
    for (var i = 0; i < cookies.length; i++) {
      var domain = window.location.hostname.split(".");
      while (domain.length > 0) {
        var cookie_name = cookies[i].split(";")[0].split("=")[0];
        if (!CookiePlusCookieBlocker.in_array(cookie_name, Consent.allowed_cookies) && cookie_name != Consent.cookie_name) {
          var expires = 'expires=Thu, 01-Jan-1970 00:00:01 GMT';
          var cookieBase = encodeURIComponent(cookie_name) + '=; ' + expires + '; domain=' + domain.join('.') + ' ;path=';
          var path = location.pathname.split('/');
          document.cookie = cookieBase + '/';
          while (path.length > 0) {
            document.cookie = cookieBase + path.join('/');
            path.pop();
          }
        }
        domain.shift();
      }
    }
  };

  app.save_settings_cookies = function (e, action) {
    clog('CookiePlus: save_settings_cookies');
    action == typeof action == 'undefined' ? 'save_settings' : action;
    app.last_action = action;

    if (e) {
      e.preventDefault();
      app.$popup = app.popup_cookie_consent($(e.currentTarget));

      //Nice loading
      if ($(e.currentTarget).hasClass('cookieplus-btn')) {
        var $btn = $(e.currentTarget);
        var btn_html = $btn.html();
        var dot = '.';
        var i = 0;
        var loading = setInterval(function () {
          if (i < 3) {
            $btn.html(btn_html + dot);
          } else {
            clearInterval(loading);
          }
          dot += '.';
          i++;
        }, 1100);
      }
    }

    //Close popup after save settings
    if (app.$popup && app.MasterPopup && CookiePlus.CookieConsent.close_popup_on_save) {
      if (app.MasterPopup.is_open) {
        app.MasterPopup.close();
      }
    }

    app.ajax({
      data: {
        action: 'cookieplus_proccess_cookie_consent',
        accept_all: action === 'accept_all' ? true : false,
        decline: action === 'decline' ? true : false,
        cookie_consent: CookiePlus.CookieConsent,
      },
      success: function (response) {
        //console.log('response', response);
        //for httponly=true
        var cookie_name = CookiePlus.CookieConsent.cookie_name;
        var cookie_duration = parseInt(CookiePlus.CookieConsent.cookie_duration);
        var cookie_value = encodeURIComponent(JSON.stringify(response.cookie_value));
        //var expiration_time = response.cookie_value.expiration_time;//milliseconds
        app.cookie.set(cookie_name, cookie_value, cookie_duration);

        if (!CookiePlusAddonSettings.is_admin && CookiePlusAddonSettings.reload == 'on') {
          location.reload();
        }
        if (response.success) {
          //c('=======> Ajax success <=======')
        }
      }
    });

    $(window).trigger('CookiePlus.SaveCookieSettings', [CookiePlus]);
  };

  app.accept_terms_conditions = function (e) {
    e.preventDefault();
    var $btn = $(this);
    $btn.fadeOut(600);
    app.ajax({
      data: {
        action: 'cookieplus_accept_terms',
      },
      success: function (response) {
        if (response.success) {
          var $message = '<div class="cookieplus-accepted-message">' + CookiePlus.TermsConditions.thanks_message + '</div>';
          $btn.closest('.cookieplus').html($message);
          setTimeout(function () {
            if (CookiePlus.TermsConditions.redirect_page && document.URL.indexOf(CookiePlus.TermsConditions.redirect_page) == -1) {
              window.location = CookiePlus.TermsConditions.redirect_page;
            }
          }, 2000);
        }
      }
    });
    $(window).trigger('CookiePlus.AcceptTermsConditions', [CookiePlus]);
  };

  app.accept_privacy_policy = function (e) {
    e.preventDefault();
    var $btn = $(this);
    $btn.fadeOut(600);
    app.ajax({
      data: {
        action: 'cookieplus_accept_policy',
      },
      success: function (response) {
        if (response.success) {
          var $message = '<div class="cookieplus-accepted-message">' + CookiePlus.PrivacyPolicy.thanks_message + '</div>';
          $btn.closest('.cookieplus').html($message);
          setTimeout(function () {
            if (CookiePlus.PrivacyPolicy.redirect_page && document.URL.indexOf(CookiePlus.PrivacyPolicy.redirect_page) == -1) {
              window.location = CookiePlus.PrivacyPolicy.redirect_page;
            }
          }, 2000);
        }
      }
    });
    $(window).trigger('CookiePlus.AcceptPrivacyPolicy', [CookiePlus]);
  };

  app.ajax = function (options) {
    var defaults = {
      type: 'post',
      data: {
        ajax_nonce: CookiePlusAddonSettings.ajax_nonce,
      },
      dataType: 'json',
      beforeSend: function () {
      },
      success: function (response) {
      },
      complete: function (jqXHR, textStatus) {
      },
    };
    options = $.extend(true, {}, defaults, options);

    clog('AJAX PROCESS');
    clog('ajax data:');
    clog(options.data);

    $.ajax({
      url: CookiePlusAddonSettings.ajax_url,
      type: options.type,
      dataType: options.dataType,
      data: options.data,
      beforeSend: options.beforeSend,
      success: function (response) {
        clog('ajax success, response:');
        clog(response);
        if ($.isFunction(options.success)) {
          options.success.call(this, response);
        }
      },
      error: function (jqXHR, textStatus, errorThrown) {
        clog('ajax error, jqXHR');
        clog(jqXHR);
        clog('ajax error, errorThrown');
        clog(errorThrown);
      },
      complete: function (jqXHR, textStatus) {
        if ($.isFunction(options.complete)) {
          options.complete.call(this, jqXHR, textStatus);
        }
      }
    });
  };

  app.cookie = {
    set: function (name, value, days, domain) {
      var expires = "";
      if (days) {
        days = parseInt(days, 10);
        var date = new Date();
        date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
        expires = "; expires=" + date.toGMTString();
      }
      var new_cookie = name + "=" + value + expires + "; path=/";
      if (domain) {
        new_cookie += ";domain=" + domain;
      }
      document.cookie = new_cookie;
    },
    get: function (name) {
      var nameEQ = name + "=";
      var ca = document.cookie.split(';');
      for (var i = 0; i < ca.length; i++) {
        var c = ca[i];
        while (c.charAt(0) === ' ') {
          c = c.substring(1, c.length);
        }
        if (c.indexOf(nameEQ) === 0) {
          return c.substring(nameEQ.length, c.length);
        }
      }
      return null;
    },
    remove: function (name, domain) {
      this.set(name, "", -1, domain);
    }
  };

  return app;

})(jQuery);

// jQuery(document).ready(function ($) {
//     $(window).on('CookiePlus.AcceptCookies', function (event) {
//         console.log(window.CookiePlus);
//     });
// });
