<?php namespace CookiePlusAddon\Includes;


class Cookie {

    /*
    |---------------------------------------------------------------------------------------------------
    | Set cookie
    |---------------------------------------------------------------------------------------------------
    */
    public static function set( $name, $value = '', $expire = 0, $path = '/', $domain = '', $secure = false, $httponly = false ){
        setcookie( $name, $value, $expire, $path, $domain, $secure, $httponly );
    }

    /*
    |---------------------------------------------------------------------------------------------------
    | Set cookie encoded
    |---------------------------------------------------------------------------------------------------
    */
    public static function set_encoded( $name, $value = '', $expire = 0, $path = '/', $domain = '', $secure = false, $httponly = false ){
        $value = json_encode( $value, JSON_UNESCAPED_SLASHES );
        setcookie( $name, $value, $expire, $path, $domain, $secure, $httponly );
        return $value;
    }

    /*
	|---------------------------------------------------------------------------------------------------
	| Get cookie value
	|---------------------------------------------------------------------------------------------------
	*/
    public static function get( $name, $decode = false ){
        $cookie_value = isset( $_COOKIE[$name] ) ? $_COOKIE[$name] : '';
        if ( $decode && isset( $_COOKIE[$name] ) ) {
            $cookie_value = json_decode( stripslashes( $_COOKIE[$name] ), true );
        }
        return $cookie_value;
    }

    /*
	|---------------------------------------------------------------------------------------------------
	| Delete cookie
	|---------------------------------------------------------------------------------------------------
	*/
    public static function delete( $name, $path = '/' ){
        if ( isset( $_COOKIE[$name] ) ) {
            unset( $_COOKIE[$name] );
            setcookie( $name, '', time() - 3600, $path );
        }
    }


}