<?php namespace CookiePlusAddon\Includes;

use GeoIp2\Database\Reader;

class GeoDetection extends RemoteAddress {
    public $error = '';
    private $database = '';

    /*
	|---------------------------------------------------------------------------------------------------
	| Constructor
	|---------------------------------------------------------------------------------------------------
	*/
    public function __construct( $mmdb_file = '' ){
        if( ! empty( $mmdb_file ) ){
            $this->database = $mmdb_file;
        }
    }

    /*
	|---------------------------------------------------------------------------------------------------
	| Agrega la base datos de países
	|---------------------------------------------------------------------------------------------------
	*/
    public function set_database( $mmdb_file ){
        $this->database = $mmdb_file;
    }

    /*
	|---------------------------------------------------------------------------------------------------
	| Retorna la IP actual
	|---------------------------------------------------------------------------------------------------
	*/
    public function get_current_ip(){
        return $this->getIpAddress();
    }

    /*
	|---------------------------------------------------------------------------------------------------
	| Retorna la información de la IP actual
	|---------------------------------------------------------------------------------------------------
	*/
    public function get_info_from_current_ip(){
        return $this->get_info( $this->get_current_ip() );
    }

    /*
	|---------------------------------------------------------------------------------------------------
	| Retorna la información de una IP determinada
	|---------------------------------------------------------------------------------------------------
	*/
    public function get_info( $ip ){
        if( $this->is_valid_ip( $ip ) ){
            try{
                $reader = new Reader( $this->database );
                $country = $reader->country( $ip );
                return $country;
            } catch( \Exception $e ){
                $this->error = $e->getMessage();
            }
        }
        return null;
    }

    /*
	|---------------------------------------------------------------------------------------------------
	| Verifica si una IP es válida
	|---------------------------------------------------------------------------------------------------
	*/
    public function is_valid_ip( $ip ){
        return inet_pton( $ip ) !== false;
    }
}