<?php namespace CookiePlusAddon\Includes\Integrations;

use CookiePlusAddon\Includes\Options;
use CookiePlusAddon\Includes\Functions;

class Buddypress {
    protected static $instance = null;
    public $plugin;

    /*
	|---------------------------------------------------------------------------------------------------
	| Singleton
	|---------------------------------------------------------------------------------------------------
	*/
    private function __clone(){
    }//Stopping Clonning of Object

    private function __wakeup(){
    }//Stopping unserialize of object

    public static function get_instance( $plugin ){
        if ( null === self::$instance ) {
            self::$instance = new self( $plugin );
        }
        return self::$instance;
    }

    /*
	|---------------------------------------------------------------------------------------------------
	| Constructor
	|---------------------------------------------------------------------------------------------------
	*/
    protected function __construct( $plugin ){
        $this->plugin = $plugin;
        $this->hooks();
    }

    /*
	|---------------------------------------------------------------------------------------------------
	| Plugin hooks
	|---------------------------------------------------------------------------------------------------
	*/
    private function hooks(){
        add_filter( 'bp_before_registration_submit_buttons', array( $this, 'add_privacy_policy_checkbox' ), 10 );
    }

    /*
	|---------------------------------------------------------------------------------------------------
	| Agrega checkbox a la página de registro de Buddypress
	|---------------------------------------------------------------------------------------------------
	*/
    public function add_privacy_policy_checkbox(){
        if ( Options::option( 'buddypress-enabled' ) == 'on' ) {
            $text = Options::option( 'buddypress-policy-text' );
            $page_id = Options::option( 'privacy-policy-page' );
            if ( $page_id > 0 ) {
                $text = '<a href="' . Functions::get_permalink( $page_id ) . '" target="_blank">' . $text . '</a>';
            }
            $checkbox = '<p class="cookieplus buddypress-checkbox-accept-policy" style="clear: both; padding: 15px 0; float: none;">';
                $checkbox .= '<label class="cookieplus-privacy-policy-label" style="cursor: pointer;">';
                $checkbox .= '<input type="checkbox" name="accept_privacy_policy" id="accept_privacy_policy" required="required">' . $text . '</label>';
            $checkbox .= '</p>';
            echo $checkbox;
        }
    }


}