<?php namespace CookiePlusAddon\Includes\Integrations;

use CookiePlusAddon\Includes\Options;
use CookiePlusAddon\Includes\Functions;

class WpComments {
    protected static $instance = null;
    public $plugin;

    /*
	|---------------------------------------------------------------------------------------------------
	| Singleton
	|---------------------------------------------------------------------------------------------------
	*/
    private function __clone(){
    }//Stopping Clonning of Object

    private function __wakeup(){
    }//Stopping unserialize of object

    public static function get_instance( $plugin ){
        if ( null === self::$instance ) {
            self::$instance = new self( $plugin );
        }
        return self::$instance;
    }

    /*
	|---------------------------------------------------------------------------------------------------
	| Constructor
	|---------------------------------------------------------------------------------------------------
	*/
    protected function __construct( $plugin ){
        $this->plugin = $plugin;
        $this->hooks();
    }

    /*
	|---------------------------------------------------------------------------------------------------
	| Plugin hooks
	|---------------------------------------------------------------------------------------------------
	*/
    private function hooks(){
        add_filter( 'comment_form_submit_field', array( $this, 'add_privacy_policy_checkbox' ), 10, 2 );
    }

    /*
	|---------------------------------------------------------------------------------------------------
	| Agrega checkbox al sistema de comentarios
	|---------------------------------------------------------------------------------------------------
	*/
    public function add_privacy_policy_checkbox( $submit_field, $args ){
        if ( Functions::is_woocommerce_activated() && is_product() ) {
            return $submit_field;
        }
        if ( Options::option( 'wp-comments-enabled' ) == 'on' ) {
            $text = Options::option( 'wp-comments-policy-text' );
            $page_id = Options::option( 'privacy-policy-page' );
            if ( $page_id > 0 ) {
                $text = '<a href="' . Functions::get_permalink( $page_id ) . '" target="_blank">' . $text . '</a>';
            }
            $checkbox = '<p class="cookieplus comment-form-checkbox-accept-policy">';
            $checkbox .= '<label class="cookieplus-privacy-policy-label" style="cursor: pointer;">';
            $checkbox .= '<input type="checkbox" name="accept_privacy_policy" id="accept_privacy_policy" required="required">' . $text . '</label>';
            $checkbox .= '</p>';
            return $checkbox . $submit_field;
        }
        return $submit_field;
    }


}