<?php

$default_content_for_scripts = '
<script>

</script>';

$contents = include dirname( __FILE__ ) . '/settings-panel/cookie-consent/contents-cookie-settings.php';

$cookie_consent = array(
    'cookie-consent-enabled' => 'on',
    'cookie-consent-mode' => 'block-all',
    'cookie-consent-cookie-name' => 'CookiePlusCookiesAccepted',
    'cookie-consent-cookie-duration' => '365',
    'cookie-settings-title' => __( 'Cookie Settings Center', 'mpp-cookieplus' ),
    'cookie-settings-content' => $contents['overview-content'],
    'show-cookie-policy-tab' => 'on',
    'cookie-policy-tab-text' => 'See our Cookie Policy',
    'cookie-policy-tab-url' => 'http://',
    'reload-on-save-cookies' => 'on',
    'close-popup-on-save-cookies' => 'on',
    'remove-cookies-after-decline' => 'off',
    'header-scripts-priority' => '10',
    'footer-scripts-priority' => '10',
    'cookie-overview-tab-text' => __( 'Privacy Overview', 'mpp-cookieplus' ),
    'link-powered-by-enabled' => 'on',
    'link-powered-by-username' => '',

    'btn-accept-cookies-text' => __( 'Accept All Cookies', 'mpp-cookieplus' ),
    'btn-accept-cookies-bg' => '#2BBB4F',
    'btn-accept-cookies-bg-hover' => '#48c658',
    'btn-accept-cookies-color' => '#FFFFFF',
    'btn-save-settings-text' => __( 'Save Settings', 'mpp-cookieplus' ),
    'btn-save-settings-bg' => '#2BBB4F',
    'btn-save-settings-bg-hover' => '#48c658',
    'btn-save-settings-color' => '#FFFFFF',
    'btn-decline-cookies-enabled' => 'off',
    'btn-decline-cookies-text' => __( 'Decline Cookies', 'mpp-cookieplus' ),
    'btn-decline-cookies-bg' => '#E84A4A',
    'btn-decline-cookies-bg-hover' => '#EA5555',
    'btn-decline-cookies-color' => '#FFFFFF',

    //Customization
    'theme' => 'classic',
    'custom-logo' => '',
    'default-logo' => 'logo-privacy-center1.png',
    'tab-menu-width' => '200',
    'tab-container-padding' => '30px 40px 10px 40px',
    'tab-container-bg' => '#F6F6F6',
    'tab-container-font-size' => '13',
    'tab-container-line-height' => '1.8',
    'tab-container-border-color' => '#D5D5D5',
    'tab-container-border-radius' => '4',
    'tab-item-bg' => '#F6F6F6',
    'tab-item-color' => '#646464',
    'tab-item-color-hover' => '#505050',
    'tab-item-border-color' => '#D5D5D5',
    'tab-item-border-radius' => '5',
    'tab-item-active-bg' => '#FFFFFF',
    'tab-item-active-color' => '#111111',
    'tab-item-active-border-color' => '#D5D5D5',
    'tab-content-bg' => '#FFFFFF',
    'tab-content-bg-modern' => '#FAFAFA',
    'tab-content-padding' => '0px 20px 40px 20px',

    'texts-cookie-on' => __( 'Active', 'mpp-cookieplus' ),
    'texts-cookie-off' => __( 'Inactive', 'mpp-cookieplus' ),
    'texts-cookie-always-active' => __( 'Always Active', 'mpp-cookieplus' ),

    'group-1-enabled' => 'on',
    'group-1-always-active' => 'on',
    'group-1-title' => __('Necessary Cookies', 'mpp-cookieplus'),
    'group-1-content' => $contents['necessary-cookies'],
    'group-1-allowed-cookies' => '',
    'group-1-allowed-service-cookies' => array(),
    'group-1-header-scripts' => $default_content_for_scripts,
    'group-1-footer-scripts' => $default_content_for_scripts,

    'group-2-enabled' => 'on',
    'group-2-initial-consent' => 'off',
    'group-2-title' => __('Preferences Cookies', 'mpp-cookieplus'),
    'group-2-content' => $contents['preferences-cookies'],
    'group-2-blocked-cookies' => '',
    'group-2-blocked-service-cookies' => array(),
    'group-2-header-scripts' => $default_content_for_scripts,
    'group-2-footer-scripts' => $default_content_for_scripts,

    'group-3-enabled' => 'on',
    'group-3-initial-consent' => 'off',
    'group-3-title' => __('Analytics Cookies', 'mpp-cookieplus'),
    'group-3-content' => $contents['analytics-cookies'],
    'group-3-blocked-cookies' => '',
    'group-3-blocked-service-cookies' => array(),
    'group-3-header-scripts' => $default_content_for_scripts,
    'group-3-footer-scripts' => $default_content_for_scripts,

    'group-4-enabled' => 'on',
    'group-4-initial-consent' => 'off',
    'group-4-title' => __('Marketing Cookies', 'mpp-cookieplus'),
    'group-4-content' => $contents['marketing-cookies'],
    'group-4-blocked-cookies' => '',
    'group-4-blocked-service-cookies' => array(),
    'group-4-header-scripts' => $default_content_for_scripts,
    'group-4-footer-scripts' => $default_content_for_scripts,

    'group-5-enabled' => 'on',
    'group-5-initial-consent' => 'off',
    'group-5-title' => __('Social Media Cookies', 'mpp-cookieplus'),
    'group-5-content' => $contents['socialmedia-cookies'],
    'group-5-blocked-cookies' => '',
    'group-5-blocked-service-cookies' => array(),
    'group-5-header-scripts' => $default_content_for_scripts,
    'group-5-footer-scripts' => $default_content_for_scripts,

    'facebook-enabled' => 'off',
    'facebook-group' => 'block-until-accept',
    'facebook-id' => '',
    'facebook-code' => '',
    'facebook-in-footer' => '',

    'google_analytics-enabled' => 'off',
    'google_analytics-group' => 'block-until-accept',
    'google_analytics-id' => '',
    'google_analytics-code' => '',
    'google_analytics-in-footer' => '',

    'google_tag_manager-enabled' => 'off',
    'google_tag_manager-group' => 'block-until-accept',
    'google_tag_manager-id' => '',
    'google_tag_manager-code' => '',
    'google_tag_manager-in-footer' => '',

    'google_adwords-enabled' => 'off',
    'google_adwords-group' => 'block-until-accept',
    'google_adwords-id' => '',
    'google_adwords-code' => '',
    'google_adwords-in-footer' => '',

    'hotjar-enabled' => 'off',
    'hotjar-group' => 'block-until-accept',
    'hotjar-id' => '',
    'hotjar-code' => '',
    'hotjar-in-footer' => '',

    'custom-enabled' => 'off',
    'custom-group' => 'block-until-accept',
    'custom-id' => '',
    'custom-code' => '',
    'custom-in-footer' => '',
);

$countries = array(
    'cookieplus-activate-all-countries' => 'on',
    'cookieplus-activate-countries' => array(),
    'cookieplus-activate-on-eu-countries' => 'off',
    'cookieplus-disable-all-countries' => 'off',
    'cookieplus-disable-countries' => array(),
    'cookieplus-disable-on-eu-countries' => 'off',
);

$terms_and_conditions = array(
    'terms-conditions-page' => '',
    'terms-conditions-version' => '1.0',
    'terms-conditions-redirect-page' => '',
    'terms-conditions-cookie-name' => 'CookiePlusTermsConditionsAccepted',
    'terms-conditions-cookie-duration' => '365',
    'terms-conditions-save-userdata' => 'on',
    'terms-conditions-thanks-message' => '<p>Thank you for accepting our terms and conditions.</p>',
    'terms-conditions-shortcode-auto' => 'off',
    'terms-conditions-shortcode-auto-text' => 'Accept Terms',
);

$privacy_policy = array(
    'privacy-policy-page' => '',
    'privacy-policy-version' => '1.0',
    'privacy-policy-redirect-page' => '',
    'privacy-policy-cookie-name' => 'CookiePlusPrivacyPolicyAccepted',
    'privacy-policy-cookie-duration' => '365',
    'privacy-policy-save-userdata' => 'on',
    'privacy-policy-thanks-message' => '<p>Thank you for accepting our privacy policy.</p>',
    'privacy-policy-shortcode-auto' => 'off',
    'privacy-policy-shortcode-auto-text' => 'Accept Policy',
);


$checkbox_label_privacy_policy = __( "Privacy Policy", 'mpp-cookieplus' );
$checkbox_text_privacy_policy = __( "I've read and accept the privacy policy", 'mpp-cookieplus' );
$checkbox_validation_privacy_policy = __( 'You must accept our Privacy Policy.', 'mpp-cookieplus' );

$wp_comments = array(
    'wp-comments-enabled' => 'off',
    'wp-comments-policy-text' => $checkbox_text_privacy_policy,
);

$cf7 = array(
    'cf7-enabled' => 'off',
    'cf7-policy-text' => $checkbox_text_privacy_policy,
    'cf7-policy-validation-text' => $checkbox_validation_privacy_policy,
    'cf7-tag-auto' => 'on',
);

$gravity_forms = array(
    'gravity-forms-enabled' => 'off',
    'gravity-forms-policy-label' => $checkbox_label_privacy_policy,
    'gravity-forms-policy-text' => $checkbox_text_privacy_policy,
    'gravity-forms-policy-validation-text' => $checkbox_validation_privacy_policy,
);

$woocommerce = array(
    'woocommerce-enabled' => 'off',
    'woocommerce-policy-text' => $checkbox_text_privacy_policy,
    'woocommerce-policy-show-in' => array(),
    'woocommerce-policy-validation-text' => $checkbox_validation_privacy_policy,
);

$buddypress = array(
    'buddypress-enabled' => 'off',
    'buddypress-policy-text' => $checkbox_text_privacy_policy,
);

$custom_css = array(
    'custom-css' => '.cookieplus-cookie-consent {
}
.cookieplus-tabs-cookie-consent {
}
.cookieplus-btn.cookieplus-btn-accept-cookies {
}
.cookieplus-btn.cookieplus-btn-save-settings {
}
.cookieplus-btn.cookieplus-btn-decline-cookies {
}
.cookieplus-terms-accepted-message {
}
.cookieplus-policy-accepted-message {
}
.cookieplus-blocked-cookies-message {
    margin-bottom: 5px;
}
',
);

$shortcodes = array(
    'shortcode-block-content-message' => __( 'Content blocked, you must accept cookies to see this content.', 'mpp-cookieplus' ),
    'shortcode-accept-cookies-text' => __( 'Accept Cookies', 'mpp-cookieplus' ),
    'shortcode-decline-cookies-text' => __( 'Decline Cookies', 'mpp-cookieplus' ),
);

$popup_editor = array(
    'cookieplus-use-has-cookie-settings' => 'off',
    'cookieplus-action-on-close-popup' => 'none',
    'cookieplus-show-popup-after-accept-cookies' => 'on',
    'cookieplus-show-popup-after-decline-cookies' => 'on',
    'cookieplus-disclaimer-enabled' => 'off',

    'cookieplus-show-on-countries' => 'off',
    'cookieplus-show-countries' => array(),
    'cookieplus-show-on-eu-countries' => 'off',
    'cookieplus-hide-on-countries' => 'off',
    'cookieplus-hide-countries' => array(),
    'cookieplus-hide-on-eu-countries' => 'off',
);

$defaults = array();
$defaults = array_merge( $defaults, $cookie_consent );
$defaults = array_merge( $defaults, $countries );
$defaults = array_merge( $defaults, $terms_and_conditions );
$defaults = array_merge( $defaults, $privacy_policy );
$defaults = array_merge( $defaults, $wp_comments );
$defaults = array_merge( $defaults, $cf7 );
$defaults = array_merge( $defaults, $gravity_forms );
$defaults = array_merge( $defaults, $woocommerce );
$defaults = array_merge( $defaults, $buddypress );
$defaults = array_merge( $defaults, $custom_css );
$defaults = array_merge( $defaults, $shortcodes );
$defaults = array_merge( $defaults, $popup_editor );

return array(
    'cookieplus' => $defaults,
    'masterpopups' => array(
        'popup_editor' => $popup_editor,
    ),
);