<?php
$xbox->add_field(array(
    'name' => __('Cookie Consent Shortcodes', 'mpp-cookieplus'),
    'desc' => __('Use the following short codes to block content until the user accepts cookies.', 'mpp-cookieplus'),
    'type' => 'title',
));
$xbox->open_mixed_field(array(
    'name' => __('Shortcode to block content', 'mpp-cookieplus'),
));
$block_content = '';
$block_content .= '<textarea class="ampp-input-selector" readonly style="display: block; width: 100%; height: 80px;">';
$block_content .= '[cookieplus_block_content]Content here[/cookieplus_block_content]';
$block_content .= "\n";
$block_content .= '[cookieplus_block_content group="-1" message="Your message"]Content here[/cookieplus_block_content]';
$block_content .= '</textarea>';

$xbox->add_field(array(
    'id' => 'shortcode-block-content',
    'desc_title' => __('Attributes:', 'mpp-cookieplus'),
    'desc' => '
<li>group (optional): -1, 1, 2, 3, 4. Default: -1 (We will block until consent, regardless of the group) </li>
<li>message (optional): Default: The following message.</li>
',
    'type' => 'html',
    'content' => $block_content,
    'grid' => '8-of-8',
));

$xbox->add_field( array(
    'id' => 'shortcode-block-content-message',
    'name' => __('Default message:', 'mpp-cookieplus'),
    'type' => 'text',
    'default' => self::$defaults['shortcode-block-content-message'],
    'grid' => '3-of-6',
));
$xbox->close_mixed_field();



$xbox->open_mixed_field(array(
    'name' => __('Shortcode to accept cookies', 'mpp-cookieplus'),
));
$btn_accept_cookies = '';
$btn_accept_cookies .= '<textarea class="ampp-input-selector" readonly style="display: block; width: 100%; height: 80px;">';
$btn_accept_cookies .= '[cookieplus_btn_accept_cookies]Accept Cookies[/cookieplus_btn_accept_cookies]';
$btn_accept_cookies .= "\n";
$btn_accept_cookies .= '[cookieplus_btn_accept_cookies id="your-id" class="your-class" radius="5px" style=""]Accept Cookies[/cookieplus_btn_accept_cookies]';
$btn_accept_cookies .= '</textarea>';

$xbox->add_field(array(
    'id' => 'shortcode-accept-cookies',
    'desc_title' => __('Attributes:', 'mpp-cookieplus'),
    'desc' => '
<li>id (optional)</li>
<li>class (optional)</li>
<li>radius (optional): Default: 5px</li>
<li>style (optional)</li>
<li>hide_if_accepted (optional): true, false. Default: false</li>
',
    'type' => 'html',
    'content' => $btn_accept_cookies,
    'grid' => '8-of-8',
));

$xbox->add_field( array(
    'id' => 'shortcode-accept-cookies-text',
    'name' => __('Default text:', 'mpp-cookieplus'),
    'type' => 'text',
    'default' => self::$defaults['shortcode-accept-cookies-text'],
    'grid' => '3-of-6',
));
$xbox->close_mixed_field();




$xbox->open_mixed_field(array(
    'name' => __('Shortcode to decline cookies', 'mpp-cookieplus'),
));
$btn_decline_cookies = '';
$btn_decline_cookies .= '<textarea class="ampp-input-selector" readonly style="display: block; width: 100%; height: 80px;">';
$btn_decline_cookies .= '[cookieplus_btn_decline_cookies]Decline Cookies[/cookieplus_btn_decline_cookies]';
$btn_decline_cookies .= "\n";
$btn_decline_cookies .= '[cookieplus_btn_decline_cookies id="your-id" class="your-class" radius="5px" style=""]Accept Cookies[/cookieplus_btn_decline_cookies]';
$btn_decline_cookies .= '</textarea>';

$xbox->add_field(array(
    'id' => 'shortcode-decline-cookies',
    'desc_title' => __('Attributes:', 'mpp-cookieplus'),
    'desc' => '
<li>id (optional)</li>
<li>class (optional)</li>
<li>radius (optional): Default: 5px</li>
<li>style (optional)</li>
<li>hide_if_not_accepted (optional): true, false. Default: false</li>
',
    'type' => 'html',
    'content' => $btn_decline_cookies,
    'grid' => '8-of-8',
));

$xbox->add_field( array(
    'id' => 'shortcode-decline-cookies-text',
    'name' => __('Default text:', 'mpp-cookieplus'),
    'type' => 'text',
    'default' => self::$defaults['shortcode-decline-cookies-text'],
    'grid' => '3-of-6',
));
$xbox->close_mixed_field();